#box {
	height: 150px;
	width: 150px;
	padding: 50px;
	border: 1px solid black;
	box-sizing: border-box;
	background-color: orange;
	margin-right: 30px;
	display: inline-block;


}

#box2 {
	height: 150px;
	width: 150px;
	border: 1px solid black;
	background-color: yellow;
	display: inline-block;
	vertical-align: top;
}

span {
	height: 150px;
	width: 150px;
	border: 1px solid black;
	display: inline-block;
}

/*CSS Reset*/
/*zeroes all margins and paddings of our elements, because by
default, elements are being added margins and paddings by browser*/
/*box-sizing: border-box; to accurately measure our elemtns, that 
padding and border are not added on top of the element's width.*/
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/*CSS Review*/
/*html {
	font-size: 5px;
}*/

/*rem:  root element - a measurement based the font-size of the 
root element (html). default:  16px
2 x root element's font-size = 2 rem
em:  is a measurement based on the font-size of the parent element
because the parent's div's font-size is 10px
2em = 20 px*/
#nestedDiv {
	height: 2em;
	width: 2em;
	border: 1px solid red;
	border-color: red;
/*position:  allows to determine the position of the element;
position:  relative; allows to move or determinet he postion of our
elemtn relative to where it was originally in ou html document
left, right, top, bottom - these properties are used in conjunction
with the position and they determine the measurement from 
% as a measurement is based on the width/height of the parent element
px is an exact measurement across all the devices*/
	position: relative;
	left: 33%;
	right: 33%;
}

/*vh/vw - viewport which is the visible area of our page
vh - viewport height
vw - viewport width
% is best to use for the sizing*/